#
# Cookbook Name:: installation_generique
# Recipe:: apache
# On fait une installation d'Apache
#
# Copyright (c) 2017 Laurent Dang, All Rights Reserved.

package 'apache2' do
    action [:install]
end

package 'openssl' do
    action [:install]
end

template '/var/www/html/index.html' do
  source 'index.html.erb'
end

 execute "a2enmod ssl" do
    command "a2enmod ssl"
    action :run
  end

# execute " a2ensite default-ssl.conf" do
#    command "a2ensite default-ssl.conf"
#    action :run
#  end

node["installation-generique"]["sites"].each do |sitename, data|
  document_root = "/var/www/html/#{sitename}"
  site_port = data["port"]

  directory document_root do
    mode "0755"
    owner "www-data"
    group "www-data"
    recursive true
  end


	if site_port==443


		template "/etc/apache2/sites-available/#{sitename}.conf" do
		    source "virtualhosts_ssl.erb"
		    mode "0644"
		    variables(
		      :document_root => document_root,
		      :port => data["port"],
		      :serveradmin => data["serveradmin"],
		      :servername => data["servername"]
		    )
		  notifies :restart, "service[apache2]"
		  end

	else 

		template "/etc/apache2/sites-available/#{sitename}.conf" do
		source "virtualhosts.erb"
		mode "0644"
		variables(
		:document_root => document_root,
		:port => data["port"],
		:serveradmin => data["serveradmin"],
		:servername => data["servername"]
   		 )
		notifies :restart, "service[apache2]"

		end
	end


end

service 'apache2' do
  supports :status => true
  action [:stop, :start]
end
