#
# Cookbook Name:: installation_generique
# Recipe:: mysql
# On fait une installation de Mysql + PHPmyadmin sur les serveurs avec un mot de passe root Mysql défini par défaut pour une machine spécifique
#
# Copyright (c) 2017 Laurent Dang, All Rights Reserved.


for p in ["mysql-client-5.7", "mysql-client-core-5.7","mysql-common", "mysql-server-5.7","mysql-server-core-5.7","phpmyadmin","php-gettext","php-mbstring"] do
package p do
    action [:install]
  end
end

service 'apache2' do
  supports :status => true
  action [:stop, :start]
end


package 'mysql-server'

service 'mysql' do
  supports :status => true
  action [:stop]
end

node["installation-generique"]["mysql"].each do |nodename, data|
	if node['hostname']==nodename
	then
		template '/tmp/chgt_mdp.sql' do
		source 'mysql.erb'
		mode 644
		owner "root"
		group "root"
		backup false
	    variables(
		      :login => data["login"],
		      :host => data["host"],
		      :mysql_password => data["mysql_password"]
  		  )
	end


template '/tmp/test.bash' do
source "chgt_mdp_root_mysql.erb"
end

execute "bash /tmp/test.bash" do
command "bash /tmp/test.bash"
action :run
end

file '/tmp/test.bash' do
action :delete
end

service 'mysql' do
  supports :status => true
  action [ :start]
end

end
end
